## r-base 4.3.2

=== DESCRIPTION ===
Package: nlme
Version: 3.1-163
Date: 2023-07-31
Priority: recommended
Title: Linear and Nonlinear Mixed Effects Models
Authors@R: c(person("José", "Pinheiro", role = "aut", comment = "S version"),
             person("Douglas", "Bates", role = "aut", comment = "up to 2007"),
             person("Saikat", "DebRoy", role = "ctb", comment = "up to 2002"),
             person("Deepayan", "Sarkar", role = "ctb", comment = "up to 2005"),
             person("EISPACK authors", role = "ctb", comment = "src/rs.f"),
	     person("Siem", "Heisterkamp", role = "ctb", comment = "Author fixed sigma"),
             person("Bert", "Van Willigen",role = "ctb", comment = "Programmer fixed sigma"),
             person("Johannes", "Ranke", role = "ctb", comment = "varConstProp()"),
	     person("R Core Team", email = "R-core@R-project.org",
                    role = c("aut", "cre")))
Contact: see 'MailingList'
Description: Fit and compare Gaussian linear and nonlinear mixed-effects models.
Depends: R (>= 3.5.0)
Imports: graphics, stats, utils, lattice
Suggests: Hmisc, MASS, SASmixed
LazyData: yes
Encoding: UTF-8
License: GPL (>= 2)
BugReports: https://bugs.r-project.org
MailingList: R-help@r-project.org
URL: https://svn.r-project.org/R-packages/trunk/nlme/
NeedsCompilation: yes
Packaged: 2023-08-02 07:04:32 UTC; maechler
Author: José Pinheiro [aut] (S version),
  Douglas Bates [aut] (up to 2007),
  Saikat DebRoy [ctb] (up to 2002),
  Deepayan Sarkar [ctb] (up to 2005),
  EISPACK authors [ctb] (src/rs.f),
  Siem Heisterkamp [ctb] (Author fixed sigma),
  Bert Van Willigen [ctb] (Programmer fixed sigma),
  Johannes Ranke [ctb] (varConstProp()),
  R Core Team [aut, cre]
Maintainer: R Core Team <R-core@R-project.org>
Repository: CRAN
Date/Publication: 2023-08-09 11:20:02 UTC

=== debian/changelog ===
r-base (4.3.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jan 2024 09:47:34 -0800

r-base (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Oct 2023 06:36:03 -0500

r-base (4.3.1-4.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Aug 2023 16:56:56 -0500

r-base (4.3.1-4) unstable; urgency=medium

  * debian/rules: Correct setting for i386 to always append flags

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Aug 2023 09:58:54 -0500

r-base (4.3.1-3.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jul 2023 14:33:06 -0500

r-base (4.3.1-3) unstable; urgency=medium

  * debian/control: Update Breaks: 			(Closes: #1040001)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jul 2023 14:13:20 -0500

r-base (4.3.1-2.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Jul 2023 07:03:48 -0500

=== debian/control ===
Source: r-base
Section: gnu-r
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.2
Build-Depends: bash-completion,
               bison,
               debhelper-compat (= 12),
               default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               g++ (>= 4:4.9.2-2),
               gcc (>= 4:4.9.2-2),
               gfortran (>= 4:4.9.2-2),
               groff-base,
               libblas-dev,
               libbz2-dev,
               libcairo2-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libjpeg-dev,
               liblapack-dev,
               liblzma-dev,
               libncurses-dev,
               libpango1.0-dev,
               libpcre2-dev,
               libpng-dev,
               libreadline-dev,
               libtiff-dev,
               libx11-dev,
               libxt-dev,
               mpack,
               tcl8.6-dev,
               texinfo,
               texlive-base,
               texlive-extra-utils,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-plain-generic,
               tk8.6-dev,
               x11proto-core-dev,
               xauth,
               xdg-utils,
               xfonts-base,
               xvfb,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/edd/r-base
Vcs-Git: https://salsa.debian.org/edd/r-base.git
Homepage: http://www.r-project.org/

Package: r-base
Architecture: all
Depends: r-base-core (>= ${source:Version}),
         r-recommended (= ${source:Version}),
         ${misc:Depends},
         r-base-html, r-doc-html
Suggests: elpa-ess, r-doc-info | r-doc-pdf
Description: GNU R statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package is a metapackage which eases the transition from the
 pre-1.5.0 package setup with its larger r-base package. Once installed, it
 can be safely removed and apt-get will automatically upgrade its components
 during future upgrades.  Providing this package gives a way to users to
 then only install r-base-core if they so desire.

Package: r-base-core
Architecture: any
Depends: ca-certificates,
         libpaper-utils,
         ucf (>= 3.0),
         unzip,
         xdg-utils,
         zip,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0)
Provides: r-api-4.0, r-graphics-engine-${graphicsengine:Version},
          r-base-dev, r-doc-html, r-recommended
Suggests: elpa-ess, r-base-html, r-doc-info | r-doc-pdf, r-mathlib
Breaks: r-cran-cairo (<< 1.6-0-4~),
        r-cran-fnn (<< 1.1.3.2-1~),
        r-cran-intervals (<< 0.15.3-1~),
        r-cran-magick (<< 2.7.4+dfsg-2~),
        r-cran-maldiquant (<< 1.22.1-1~),
        r-cran-ps (<< 1.7.5-1~),
        r-cran-ragg (<< 1.2.5-3~),
        r-cran-svglite (<< 2.1.1-3~),
        r-cran-tibble (<< 3.2.1+dfsg-2~),
        r-cran-tikzdevice (<< 0.12.4-3~),
        r-cran-vdiffr (<< 1.0.5-3~)
Description: GNU R core of statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available
 from CRAN, the Comprehensive R Archive Network, many also as Debian
 packages, named 'r-cran-<name>'.
 .
 This package provides the core GNU R system from which only the optional
 documentation packages r-base-html, r-doc-html, r-doc-pdf and r-doc-info
 have been split off to somewhat reduce the size of this package.

Package: r-base-dev
Architecture: all
Depends: build-essential,
         g++,
         gcc,
         gfortran,
         libblas-dev | libatlas-base-dev,
         libbz2-dev,
         libicu-dev,
         libjpeg-dev,
         liblapack-dev | libatlas-base-dev,
         liblzma-dev,
         libncurses-dev,
         libpcre2-dev,
         libpng-dev,
         libreadline-dev,
         pkg-config,
         r-base-core (>= ${source:Version}),
         xauth,
         zlib1g-dev,
         ${misc:Depends}
Suggests: texinfo,
          texlive-base,
          texlive-extra-utils,
          texlive-fonts-extra,
          texlive-fonts-recommended,
          texlive-latex-base,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-plain-generic
Description: GNU R installation of auxiliary GNU R packages
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package ensures that other Debian packages needed for installation of
 some auxiliary R packages are installed.

Package: r-mathlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: r-base-core (= ${binary:Version}), r-base-dev (= ${binary:Version})
Description: GNU R standalone mathematics library
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package provides the libRmath shared and static libraries which can
 be called from standalone C or C++ code.

Package: r-base-html
Architecture: all
Priority: optional
Section: doc
Depends: r-base-core, ${misc:Depends}
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0)
Suggests: mozilla | www-browser, r-doc-html
Description: GNU R html docs for statistical computing system functions
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package provides html documentation suitable for browsing with a
 web-browser for the libraries included in the r-base package. It is not
 a required package as the same documentation is already included for
 on-line browsing.

Package: r-doc-pdf
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: r-base-core, xdg-utils | pdf-viewer
Description: GNU R pdf manuals for statistical computing system

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux r-base package
# Copyright 1997-2003  Douglas Bates <bates@stat.wisc.edu>
# Copyright 1998-2023  Dirk Eddelbuettel <edd@debian.org>
#
# $Id: rules,v 1.3 2007/05/06 17:13:23 edd Exp edd $

corepackage	= r-base-core
devpackage	= r-base-dev
#latexpackage	= r-base-latex
pdfpackage	= r-doc-pdf
htmlpackage	= r-doc-html
nmathpackage	= r-mathlib
infopackage	= r-doc-info
recdpackage	= r-recommended
dbugpackage	= r-base-core-dbg

# for the standalone library, no sonames are assigned in the upstream Makefiles
somaj		= 1
somin		= 0
sorel		= 0
libver		= $(somaj).$(somin).$(sorel)

debbase		:= $(CURDIR)/debian
debtmp		:= $(debbase)/$(corepackage)
debdoc		:= $(debbase)/$(corepackage)/usr/share/doc/$(corepackage)
debmat		:= $(debbase)/$(nmathpackage)
debetc		:= $(debbase)/$(corepackage)/usr/lib/R/etc
debinf		:= $(debbase)/$(infopackage)
debcnf		:= $(debbase)/$(corepackage)/etc/R

## edd 24 Oct 2005 use DEB_BUILD_GNU_CPU, not DEB_BUILD_GNU_TYPE
##                 updated rules throughout
arch		:= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
buildarch	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
## edd 26 Jul 2013 also use DEB_HOST_ARCH_OS to catch kFreeBSD
buildos         := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
#export DH_VERBOSE = 1

# edd 15 Aug 2001  default to blas, atlas can override it
#atlas		= --with-blas=blas
# dmb 04 Apr 2003  better to use no specify blas
# atlas			= --with-blas
# edd 28 Apr 2003  try configuring with atlas
# atlas		= --with-blas=atlas
# edd 16 Oct 2003  back to older default
#atlas		= --with-blas=blas
# edd 26 Feb 2004  point to refblas3
#atlas		= --with-blas=-lblas-3
# edd 05 Feb 2008  default blas
atlas           = --with-blas

# edd 08 Mar 2003  use the new lapack feature
# edd 27 Apr 2003  Set this to =no as we currently see numerical errors
#lapack		= --with-lapack=no
# edd 26 Feb 2004  point to lapack3
#lapack		= --with-lapack=-llapack-3
# edd 13 Oct 2004  Set this once again to =no as we still see numerical errors
#lapack		= --with-lapack=no
# edd 05 Feb 2008  switched back
# edd 05 Feb 2008  oh, no switch back to internal lapack -- see #464833
#lapack		= --with-lapack=no
# edd 05 Mar 2008  with lapack as we can now use lapack 3.1 in unstable
lapack		= --with-lapack

# edd 02 Sep 2001  default to g77 but let m68k use f2c
# edd 06 Mar 2003  enforce 3.2 versions explicitly
#		   so that on testing we will pick them over 2.95
# edd 07 Jun 2003  let's fall back to the default compilers
# edd 08 Sep 2005  real defaults, i.e. remove -3.4 strings
# edd 03 Apr 2006  switch to gfortran
# edd 04 Apr 2006  use optimflags, build per-compiler flags later
# edd 26 Jun 2007  need 4.2 for fortran linking
# edd 26 Nov 2007  4.2 is now default, so no longer set -4.2 explictly; also add f95compiler
# edd 11 Oct 2011  setting -std=gnu99 with compiler (thanks, Kurt Hornik)
fortrancompiler	= F77=gfortran
f95compiler     = gfortran
# edd 10 Jan 2016  mips currently needs gcc-4.9 (cf #810357) and big thanks to Sébastien Villemot
# edd 12 Apr 2016  mips treatment removed again after kernel fix on
# edd 11 Nov 2021  undo -std=gnu99
#ifeq ($(arch),mips)
#compiler	= "gcc-4.9 -std=gnu99"
#else
compiler	= gcc
#endif
cxxcompiler	= g++

## Adrian Bunk 20 Jan 2023  workaround excess precision of x87
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
endif

## Adrian Bunk 18 Jun 2023  so debug info on 32bit to workaround 2-4 GB address space limitation
ifeq ($(DEB_HOST_ARCH_BITS), 32)
export DEB_CFLAGS_MAINT_APPEND += -g1
endif

## edd 31 Mar 2014
## edd 14 Oct 2022  disable LTO per email with Graham Inggs
#optimflags	= -O3 -pipe
optimflags      = `DEB_BUILD_MAINT_OPTIONS=optimize=-lto dpkg-buildflags --get CFLAGS`
## edd 08 Apr 2014  add CPPFLAGS
optimflags      += $(shell DEB_BUILD_MAINT_OPTIONS=optimize=-lto dpkg-buildflags --get CPPFLAGS)

# edd 22 Apr 2012  gcc-4.7 needs -O2 to build R (also #67359)
# edd 11 Nov 2021  commented out as gcc-4.7 is long gone :)
#ifneq "$(shell gcc --version | head -1 | cut -d' ' -f4 | grep '^4.7')" ""
#optimflags = -O2 -pipe
#endif

# edd 04 Sep 2001  default compiler flags, lowered for m68k
#compilerflags	= -O2
# m68k barks when using g77, and when gcc use -O2
# edd 26 Nov 2002  switched back to g77
# edd 02 Jun 2003  switched back
# cts 04 Jun 2003  use -O1 on m68k
#ifeq ($(arch),m68k)
#fortrancompiler	= F2C=f2c
#compilerflags	= -O1
#endif

# edd 14 Nov 2003  turn blas off on arm
# edd 12 May 2010  no longer needed -- thx to Modestas Vainius
#ifeq ($(arch),arm)
#atlas		= --without-blas
#endif

## edd 09 Nov 2001  ia64 needs gcc-3.0, hppa gets it by default
#ifeq ($(arch),ia64)
#fortrancompiler = F77=g77-3.0
#compiler	= gcc-3.0
#cxxcompiler	= g++-3.0
#compilerflags	= -O2
#endif

## lamont@debian.org 06 Dec 2001  hppa needs -ffunction-sections
ifeq ($(arch),hppa)
optimflags	= -O2 -ffunction-sections
endif

## edd 20 Jun 2002	no optimisation or debugging on baby systems
## edd 02 Jun 2003	use this on arm only
## edd 12 May 2010	no longer use it on arm either -- thx Modestas
## edd 04 Aug 2010	on mips and mipsel, don't use -g
## edd 10 Jan 2016      turn all off again
##ifneq "$(findstring $(arch), m68k arm)" ""
#ifneq "$(findstring $(arch), arm)" ""
#ifneq "$(findstring $(arch), mips mipsel)" ""
#optimflags	= -g0
##optimflags	= -O0 -g0
#endif

## edd 04 Apr 2009	Alpha dies on deriv.c, trying will less optimisation
## edd 16 Apr 2009      commented-out as Kurt Roeckx applied a gcc patch
#ifeq ($(arch),alpha)
#optimflags	= -O2 -g0
#endif

## edd 09 Apr 2006	per patch from Andreas Jochens in #361604
ifeq ($(arch),powerpc64)
optimflags	+= -mminimal-toc
endif

## edd 26 Jul 2013	kFreeBSD wants -O2 per #714506
ifeq ($(buildos),kfreebsd)
optimflags	= -O2 -pipe
endif

## edd 30 Apr 2020      ppc64el aka powerpc64le has weird long double behavior breaking build
##                      so default to longdouble everywhere, but on powerpc64le
##                      also include powerpc64 and ppc64
longdouble      = --enable-long-double
ifneq "$(findstring $(arch), powerpc64le powerpc64 ppc64)" ""
longdouble      = --disable-long-double
endif

## edd 04 Apr 2006	generalize from old compilerflags to per-compiler
## edd 11 Oct 2011      -std=gnu goes to CC (thanks to Kurt Hornik)
cflags		= $(optimflags)
cxxflags	= $(optimflags)
## edd 31 Mar 2014      with thanks to Julian Gilbey in #726913
## edd 14 Oct 2022      disable LTO per email with Graham Inggs
#fcflags		= $(optimflags)
fcflags 	= $(shell DEB_BUILD_MAINT_OPTIONS=optimize=-lto dpkg-buildflags --get FFLAGS)

## edd 17 Sep 2006	suggested by Brian Ripley in email dated 15 Sep 2006
#ldflags		= -Wl,-O1,-Bdirect,--hash-style=both
#ldflags		= -Wl,-O1
## edd 06 May 2007  try it
## edd 05 Feb 2008  still no go under gcc 4.3
#ldflags		= -Wl,-O1,-Bdirect,--hash-style=both
## edd 31 Mar 2014
ldflags		= $(shell dpkg-buildflags --get LDFLAGS)

## edd 16 Apr 2008	add -g to optim flags to allow for -dbg package
#optimflags	+= -g

## 12 Jan 2015
## Support for #774031 uncomment the two assignment to pass a non-empty string for this to hold
#builttime       := $(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | awk -F': ' '/Date/ {print $$2}')
#builttimestamp  := "$(builttime)"
buildtimestamp  := ""

#arch = kfreebsd-amd64
maketest:
	@echo "Hi $(arch)"
	@echo "$(findstring $(arch), i486 hppa arm)"
ifeq "$(findstring $(arch), kfreebsd-amd64 x86_64 hppa arm)" ""
	@echo "**** TRUE if the arch is NOT in the list as !find == '' ***"
endif
ifneq "$(findstring $(arch), kfreebsd-amd64 x86_64 i486 hppa arm)" ""
	@echo "**** TRUE if the arch is in list as find != '' is TRUE ***"
endif
	@echo Bye

get-orig-source: upstream
upstream:
        #links http://cran.us.r-project.org/src/base
	links http://cran.r-project.org/src/base/?M=D

upstreamdevel:
	links ftp://ftp.stat.math.ethz.ch/Software/R
        #links http://cran.us.r-project.org/src/base
